import { defineComponent as l, mergeModels as s, useModel as m, watch as p, createElementBlock as d, createCommentVNode as f, openBlock as _, createVNode as g, unref as o } from "vue";
import { useI18n as y } from "vue-i18n";
import { k as C, o as S } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { p as b } from "./PricingController-CCrwzhY9.js";
const M = {
  key: 0,
  class: "extension-config"
}, c = /* @__PURE__ */ l({
  __name: "MSRPToStringConfiguration",
  props: /* @__PURE__ */ s({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = m(t, "modelValue"), { t: u } = y();
    return p(
      e,
      (r) => {
        r || (e.value = { currency: "" });
      },
      { immediate: !0 }
    ), (r, n) => e.value ? (_(), d("div", M, [
      g(o(C), {
        data: o(b).listCurrencies,
        text: e.value.currency || "",
        label: o(u)("pim.etl.MSRPToStringConfiguration.currency"),
        "item-title": "currency",
        "item-value": "currency",
        block: "",
        "prepend-text": "",
        select: "",
        "page-size": "",
        onChange: n[0] || (n[0] = (a) => e.value.currency = a.currency)
      }, null, 8, ["data", "text", "label"])
    ])) : f("", !0);
  }
});
function i(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            MSRPToStringConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            MSRPToStringConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } }
            }
          }
        }
      }
    }
  });
}
typeof i == "function" && i(c);
const V = /* @__PURE__ */ S(c, [["__scopeId", "data-v-89e99268"]]);
export {
  V as default
};
